Dear Costco Shareholders:
     Recently we celebrated our 20th anniversary, having opened our first Costco warehouse in Seattle, Wash-
ington on September 15, 1983. We thank you, our shareholders, for your confidence and trust in our Company.
Over the years your support has been a significant factor in the success of Costco, and we hope you share our
pride in what has been accomplished. We have built a company that excels in the highly competitive field of dis-
count retailing, and that enjoys the reputation of a good corporate citizen that values the interests of all its stake-
holders.

     Since that first warehouse in Seattle, we have grown to our current count of 430 Costcos... 418 warehouses
at our August 31st fiscal year-end, plus 12 openings since then... operating in 36 U.S. States and Puerto Rico and
seven countries. Our mission has been to consistently bring quality goods and services to our members at the
lowest possible price in every market where we do business. Our reputation has been firmly established as "the"
single retailer that has established "pricing authority" for everything we sell. This is not just public relations
"babble"; this is how others in the retail industry view us.

     As the two founders of the business, we truly believe that our greatest contribution has been assembling a
top notch management team that is not only capable of running a large and challenging business, but is highly
regarded and highly targeted by our industry.

     A hallmark of our Costco warehouses has always been the extraordinary sales volume we achieve. Costco's
average annual sales per warehouse in fiscal 2003 stood at $105 million ($112 million per U.S. building). We had
65 units where sales last year exceeded $150 million, with 11 of those exceeding the $200 million mark. These
figures, which are nearly twice those of our nearest competitor, continue to increase every year; and we believe
they will continue to increase in fiscal 2004. Recently, the American Customer Satisfaction Index* again ranked
Costco as the top specialty retailer in terms of customer satisfaction; and there is good reason for that. We have
always believed the most important thing we can do is to continue to delight our customers; and we are dedicated
to exceeding their expectations in terms of quality, value and service. That commitment is evident in everything
we do, and it enables us to continue to widen the gulf between Costco and our competitors. By faithfully living
our mission statement... to bring the highest quality goods to market at the lowest possible price... we have re-
warded our shareholders time and again over the past 20 years; and we are committed to rewarding you, our
shareholders, for many years to come.

     Despite what was a challenging year, both for us and for the economy in general, we are proud to have fin-
ished our 2003 fiscal year with record sales and earnings. We are now the sixth largest retailer in the United
States and the ninth largest in the world. At number 33 in the Fortune 500, Costco's fiscal 2003 net sales were
$41.7 billion, representing an increase of 10% over last year's $38.0 billion and a 5% comparable warehouse
sales increase. Since the beginning of fiscal year 2004, sales have remained strong, with the first three months of
September, October and November enjoying a 14% overall increase in sales and an 11% comparable sales in-
crease. In terms of earnings in fiscal year 2003, net income increased to a record $721 million, or $1.53 per share,
from $700 million, or $1.48 per share, the prior year.

     Our expansion continued in fiscal 2003, as 24 new warehouses were opened and six others were relocated.
Of the 24 new locations, nine were opened in new markets and 15 in existing markets. This represents a change
in "mix" for us, with 63% of these new openings going into what were already strong markets for Costco. By
comparison, 28% (17 of 61) of the locations opened during fiscal years 2001 and 2002 represented openings in
strong existing markets. Even with other successful units nearby, we have found that many of the markets where
we operate are far from being saturated. In fact, both existing and new buildings have ultimately seen increased





                                                          2
sales from our "in-filling" strategy; and the return on investment for these new warehouses is generally higher
sooner than in new markets. In terms of the six relocations, these allowed us to increase the size of our sales
floor, improve access and parking, and add important ancillary businesses such as gas stations and optical
departments. In every case, we have experienced significant, double-digit increases in sales as a result of the re-
location.

      In the United States, 19 new warehouses were opened in fiscal 2003: six in new markets (Avon and May-
field Heights, Ohio; Castleton and Fortune Park, Indiana; S. St. Louis, Missouri; and Carolina, Puerto Rico); and
13 in established markets (Tracy, Rohnert Park, North Fresno, Vacaville and Folsom, California; Avondale, Ari-
zona; Glenview and Naperville, Illinois; Everett, Massachusetts; Kirkland, Washington (the Costco Home store);
Ocean Township, New Jersey; Clearwater, Florida; and Wilsonville, Oregon).

     Internationally, we believe that the Costco concept both fills a void in the distribution cycle and satisfies a
broad desire for American goods. In fiscal 2003, we opened five new international warehouses: one in the United
Kingdom (new market), two in Japan (new markets), one in Canada (existing market) and one in Mexico
(existing market). Our international sales continue to grow, and we see great potential in our international mar-
kets in the years to come.

     Looking forward, we expect to spend more than one billion dollars during the current fiscal year as we plan
to open more than 25 new warehouses, situated in both existing and new markets. Twelve of these will be operat-
ing by calendar year-end, including two buildings in Mexico, two in California, and one each in Washington
(Costco Business Center), Virginia, Michigan, Alabama, Utah, Texas, North Carolina, and Quebec.

     We are expanding in other areas, as well. Costco Home, a high-end furniture and accessories warehouse
with typical Costco pricing and values, opened in Kirkland, Washington in December 2002. This new venture
had good first year volumes and is already operating at a profit. In addition to helping us build and strengthen
vendor relationships in several furniture and home furnishings categories, we believe that this new format allows
us to test and, ultimately, introduce many of its successful items to our 400+ traditional Costco warehouses. We
are currently evaluating the opportunity to take this concept into other strong Costco markets on an individual
basis.

     A new Costco Business Center debuted in Fife, Washington in November 2003, bringing our total for this
venture to five locations. Offering convenient delivery and containing print and copy centers, these units feature
an abundance of items chosen specifically for the small business and also carry specialty foodservice items that
are not found at our standard warehouses.

     Fiscal 2003 sales were strong in all of our ancillary businesses, with total ancillary business sales topping
$4 billion, an increase of 20% over fiscal 2002. Our members like to shop Costco for pharmacy, gasoline, food
service, optical, hearing aid and 1-hour photo because they know we offer the best quality at the best price for
these services, just as we do on the other fine products we sell.

     Many of you have probably seen television news programs, appearing in communities across the U.S., re-
porting that Costco's pharmacy prices are the lowest in that market. These independent news reports underscore
the importance of our absolute pricing authority, which is a priority of Costco merchandising, whether in the
warehouse or, more recently, over the internet. Our Costco.com e-commerce site is profitable and frequently has
daily sales that are among the top ten units in the Company. Fiscal 2003 sales for this venture came in at $226.2
million, a 64% increase over 2002, making it one of the more successful "dot coms" today. Year-to-date in fiscal
2004, Costco.com's sales are up an additional 62%.

      All of these activities and businesses not only expand Costco's presence in the marketplace, but also serve
to enhance the "treasure hunt" atmosphere at our buildings. Special-order kiosks, which were rolled out in 2002,
continue to provide our members access to hundreds of additional upscale items. Costco Road Shows, too, regu-
larly bring a variety of unique products to each of our buildings.


                                                         3
      All of these offerings augment our every-day exceptional mix of quality items, from paper goods to fine
jewelry. Providing our members the opportunity to purchase basic items at low cost so they can splurge on luxury
items that are value-priced is a big part of what makes Costco such an exciting place to shop. We continue to
develop new items for our high-value, private label, Kirkland Signature, as well as build relationships with new
merchandise vendors. Some of our new vendors this year are Crane and Co., See's Candies, Sony electronics,
Nautica sportswear, Cuisinart, Black and Decker (DeWalt) tools, Jacob & Co. Watches, Bowflex, Schwinn Exer-
cise, Celestron Telescope, Head Ski Gloves, Kurt Adler, Fender Guitar, Gateway Computer and Krups household
appliances.

     Of course, underlying Costco's success are our 20+ million loyal members, representing 40+ million loyal
cardholders. Of these, 2.5 million are Executive Members, who pay $100 a year to utilize the many Executive
Member services the Company offers, as well as earn a 2% Executive Member reward on their qualified pur-
chases. Based on the success of the Executive Member program in the United States, we recently rolled out this
program in Canada. To date, we are very pleased with the Canadian program results. Evidencing the continued
value of the Costco membership, renewal rates are high for each member category and ran 86%, overall, in fiscal
2003.

     Currently, the U.S. Executive Membership Program offers 17 services, including three services that were
added in 2003: home equity loans, roadside assistance and online investing. We are currently testing additional
services in fiscal year 2004 and would expect to roll out several of these over the next year.

     While we are extremely proud of Costco's achievements during Fiscal 2003, we want you to know that we
have many opportunities to improve our business, and we are not satisfied with our recent performance in
controlling expenses. Expense leverage continues to be our greatest challenge and, we believe, our greatest
opportunity.

     While our fiscal 2003 sales and margins were fine, our operating expenses as a percent of sales continued to
climb, increasing from 9.41% in 2002 to 9.83% in 2003. For the past three fiscal years in the aggregate, our
operating expenses as a percent of sales are up 112 basis points. These figures are unacceptable, and we are
working hard to reverse this trend.

     While sales and margins have been strong, we, like most companies, are dealing with escalating employee
health care costs and out-of-control workers' compensation issues, particularly in California. Both of these fac-
tors have had a significant impact on our earnings. Some companies have chosen to pass these costs on to their
customers or to their employees, but we will not compromise the values that have made our Company great. We
prefer to find creative solutions to help us lower costs, while still having a positive impact on our earnings. We
are concentrating our energy in this area, challenging expenses at every level of our Company, and we are con-
fident that we can drive down our expense ratios and improve our profitability in the future, hopefully with visi-
ble results during the current fiscal year.

       In terms of employee health care, we have designed new programs, which are currently being rolled out,
that call for our employees to participate more in their health care costs. We have also instituted a campaign to
teach them to be better consumers of health care. Even with these financial changes, our benefits programs are
still the best in our industry; and we intend to keep them that way. We have been and continue to be leaders in
workers' compensation initiatives and legislation reform in California, and we will direct our attention to other
states, as needed, to help get these issues resolved in an equitable manner for all concerned. We have also made
changes that should enable us to better analyze and control our workers' compensation costs. We are also hopeful
that legislative changes currently underway in California will help in getting these costs under control.

     Utilizing our state-of-the-art depot system, we have recently instituted what we call "rapid receiving," which
increases the efficiency and speed with which we can receive and stock dry goods in our buildings. We expect


                                                        4
this to create a significant labor savings for the Company. We are also increasing efficiencies at the front-end of
our warehouses in order to help offset the costs of additional front-end personnel that were recently added to
improve member service at check-out. While the current economic climate is still tumultuous, we believe Costco
is well-positioned to gain tighter control of expenses and continue profitable operations and successful growth
while increasing market share.

     Regarding the important issues of corporate governance and regulatory requirements, you should know that
we are fully compliant with all aspects of the new, expanded standards: we have added two, new independent
members to our Board of Directors (see below); the Audit Committee of the Board has been reconfigured to
comply with the independence requirements of all the various regulatory agencies; and we have, without ex-
ception, complied with all standards required by the Sarbanes-Oxley Act of 2002 and other corporate governance
standards. And while many of these new regulatory requirements are extensive and expensive to implement, they
are consistent with the basic tenets of honesty and integrity--corporately and individually--on which we built
this Company over the last 20 years.

     This past year we welcomed to our Board of Directors two outstanding individuals with careers in both pub-
lic and private service: Daniel J. Evans and William H. Gates, II. Mr. Evans is Chairman of Daniel J. Evans
Associates, a consulting firm, and was previously a United States Senator and three-term Governor of the State of
Washington. Mr. Gates is the CEO and Co-Chair of the Bill and Melinda Gates Foundation, and was previously a
senior partner with the law firm of Preston Gates and Ellis. We are fortunate to have them on our team.

      We have set the standard of excellence for our industry, and our financial position is strong. As mentioned
earlier in this letter, we are led by the most talented and creative management team in the business; and our em-
ployees, 103,000 in all, are dedicated, disciplined and hard-working. All of us are thoroughly committed to doing
the very best that we can for our members, our suppliers, our communities and, of course, our shareholders.

     Finally, we would like to thank our employees for their outstanding efforts this past year, and our share-
holders for their continued confidence and support. Together, let us celebrate Costco's 2003 achievements: re-
cord sales and profits; a loyal and growing membership base; expanded operations in both new and in-fill
markets; new cost-savings initiatives; great merchandising; and a strengthened balance sheet. We believe all of
these factors help to position Costco for long-term growth and success, including increased profitability and
shareholder value. We are excited about Costco's future, and look forward to sharing our vision with you at our
Annual Meeting of Shareholders on January 29, 2004, in Bellevue, Washington. We send good wishes to you and
yours for a happy, healthy Holiday Season and a New Year filled with peace and success.

Cordially,




Jeff Brotman                                                Jim Sinegal
Chairman of the Board                                       President & CEO



